Returns store by id. By default, opening hours are included in the response model. Set includeOpeningHours=false to exclude them.
curl --request GET \
--url https://{host}/store/v3/Stores/{storeId} \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/store/v3/Stores/{storeId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/store/v3/Stores/{storeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"chainId": "<string>",
"alternateIds": [
"<string>"
],
"alternateId": "<string>",
"registrationNumber": "<string>",
"contactInfo": {
"phone": "<string>",
"email": "<string>"
},
"location": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"streetNumber": "<string>",
"postalCode": "<string>",
"timeZone": "<string>",
"geoCoordinates": {
"latitude": 0,
"longitude": 0
}
},
"chain": {
"id": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"logoAliasUrl": "<string>",
"color": "<string>",
"pinIconUrl": "<string>",
"logoWhiteUrl": "<string>",
"logoAssetId": "<string>",
"logoAliasAssetId": "<string>",
"pinIconAssetId": "<string>",
"logoWhiteAssetId": "<string>",
"displayOrder": 123,
"logoAssetHash": "<string>",
"isAvailableForStoreSelection": true
},
"status": "Active",
"type": "Public",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"addressLong": "<string>",
"addressShort": "<string>",
"openingHours": [
{
"storeId": "<string>",
"fromDate": "2023-11-07T05:31:56Z",
"toDate": "2023-11-07T05:31:56Z",
"label": "<string>",
"isClosedAllDay": true,
"isOpenedAllDay": true
}
]
}{
"name": "<string>",
"message": "<string>",
"details": null
}Returns store by id. By default, opening hours are included in the response model. Set includeOpeningHours=false to exclude them.
GET
/
v3
/
Stores
/
{storeId}
Returns store by id. By default, opening hours are included in the response model. Set includeOpeningHours=false to exclude them.
Authorizations
Path Parameters
Store id
Query Parameters
Indicates whether opening hours included in response
Indicates whether chain data included in response
Indicates whether location included in response
Response
OK
Minimum string length:
1Minimum string length:
1Maximum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
Active, Closed, NotSpecified Available options:
Public, Internal Show child attributes
Show child attributes
Last modified on August 10, 2026